import java.util.Scanner;

public class Section033 {
	public static void main(String[] args) {
		Scanner scanf = new Scanner(System.in);
		int j, i, k, key;
		int a[] = new int[10];
		j = -1;
		do
		{
			j++;
			a[j] = scanf.nextInt();
		} while (j < 9);
		for (i = 1; i <= 9; i++)
		{
			key = a[i];
			for (k = i - 1; k >= 0; k--)
			{
				if (a[k] > key)
					a[k + 1] = a[k];
				else
					break;
			}
			a[k + 1] = key;
		}
		for (i = 0; i <= 9; i++)
			System.out.printf("%d ", a[i]);
		scanf.close();
	}
}
